package intrinsic.flash.net;

public class Socket extends intrinsic.flash.events.EventDispatcher implements intrinsic.flash.utils.IDataOutput, intrinsic.flash.utils.IDataInput {

	/** Accessors */
	public int bytesAvailable;
	public int objectEncoding;
	public boolean connected;
	public String endian;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Socket() {
}

public Socket(Object arg0) {
}

public Socket(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void writeMultiByte(String arg0, String arg1);
public native void writeUTFBytes(String arg0);
public native void writeShort(int arg0);
public native void writeByte(int arg0);
public native void writeUTF(String arg0);
public native int readUnsignedInt();
public native String readMultiByte(int arg0, String arg1);
public native double readFloat();
public native double readDouble();
public native void writeBoolean(boolean arg0);
public native void writeUnsignedInt(int arg0);
public native void flush();
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0);
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void writeBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native void writeInt(int arg0);
public native int readUnsignedShort();
public native int readUnsignedByte();
public native boolean readBoolean();
public native void writeDouble(double arg0);
public native void writeObject(Object arg0);
public native int readShort();
public native void readBytes(intrinsic.flash.utils.ByteArray arg0);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1);
public native void readBytes(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public native void writeFloat(double arg0);
public native String readUTF();
public native void close();
public native int readInt();
public native String readUTFBytes(int arg0);
public native Object readObject();
public native int readByte();
public native void connect(String arg0, int arg1);

}
